package com.nokia.finance.tasks.service;

import com.nokia.finance.tasks.common.R;
import com.nokia.finance.tasks.jobs.car.ruixing.CljbxxJob;
import com.nokia.finance.tasks.jobs.car.ruixing.YjbjrtjJob;
import com.nokia.finance.tasks.pojo.RunJobDto;
import org.springframework.stereotype.Service;

@Service
public class JobService {
    private final CljbxxJob cljbxxJob;
    private final YjbjrtjJob yjbjrtjJob;

    public JobService(CljbxxJob cljbxxJob, YjbjrtjJob yjbjrtjJob) {
        this.cljbxxJob = cljbxxJob;
        this.yjbjrtjJob = yjbjrtjJob;
    }

    public R<Object> runJob(RunJobDto dto) {
        switch (dto.getJobName()) {
            case CLJBXX_JOB:
                cljbxxJob.runJob();
                break;
            case YJBJRTJ_JOB:
                yjbjrtjJob.runJob();
                break;
            default:
                break;
        }
        return R.ok();
    }
}
